
var wx;
function wx_login(){
  wx= api.require('wx');
  wx.isInstalled(function(ret, err) {
      if (ret.installed) {
        //  alert("当前设备已安装微信客户端");
          wx_auth();
      } else {
        api.alert({
            title: '提示',
            msg: '当前设备未安装微信客户端',
        });


      }
  });
}

//登录授权
function wx_auth(){
  wx.auth({
      apiKey: ''
  }, function(ret, err){
      if(ret.status){
        //  alert(JSON.stringify(ret));
        //  alert("code"+ret.code);
          wx_getToken(ret.code);
      }else{
          alert(err.code);
      }
  });
}

//获取accessToken
function wx_getToken(code){
  wx.getToken({
      apiKey: '',
      apiSecret: '',
      code: code
  },function(ret, err){
      if(ret.status){
        //  alert(JSON.stringify(ret));
          wx_getUserInfo(ret.accessToken,ret.openId,ret.dynamicToken);
      }else{
          console.log(err.code);
      }
  });

}

//获取用户信息
function wx_getUserInfo(accessToken,openId,dynamicToken){
  wx.getUserInfo({
      accessToken: accessToken,
      openId: openId
  }, function(ret,err){
      if(ret.status){
      //  alert(JSON.stringify(ret));
          var openId=ret.openid;
          var nickname=ret.nickname;
          var sex=ret.sex;
          if(sex==1){
            sex="男";
          }else{
            sex="女";
          }
          var province=ret.province;
          var city=ret.city;
          var country=ret.country;
          var headimgurl=ret.headimgurl;
          var unionid=ret.unionid;
          $api.setStorage('wx_headimgurl', headimgurl);
          $api.setStorage('wx_nickname', nickname);

          wx_isReg(openId,headimgurl,nickname);
      }else{
          console.log(err.code);
          if(err.code==1){
            wx_refreshToken(dynamicToken);
          }
      }
  });

}

//刷新 accessToken
function wx_refreshToken(dynamicToken){
  wx.refreshToken({
      apiKey: '',
      dynamicToken: dynamicToken
  },function(ret,err){
       if (ret.status) {
          alert(JSON.stringify(ret));
          wx_getUserInfo(ret.accessToken,ret.openId,ret.dynamicToken);
       }else{
          alert(JSON.stringify(err));
       }
  });

}


    //微信是否注册
      function wx_isReg(openId,headimgurl,nickname){
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '正在登录...',
            text: '',
            modal: false
        });

        //alert(openId+"--"+headimgurl+'--'+nickname);
            api.ajax({
                url: window.serverUrl+'weixinUser/weixinRegister',
                method: 'get',
                data: {
                    values: {
                         appkey:window.appkey,
                         openId: openId
                    }
                }
            },function(ret, err){
              api.hideProgress();

                if (ret) {
                  //  alert( JSON.stringify( ret ) );
                    if(ret.status==0){
                        //  var userImg=headimgurl; //用户头像
                        //  var userName=nickname; //用户昵称
                        var userImg=ret.data.headimg; //用户头像
                        var userName=ret.data.userName; //用户昵称
                         var userSign=ret.data.userSign; //个性签名
                         var userPhone=ret.data.mobilePhone; //用户手机号
                         var userCode=ret.data.userCode;//用户编号
                         var realName=ret.data.realName;//真实姓名
                         var idNumber=ret.data.idNumber; //身份证号码
                        userName=="undefined"?"还没有昵称":userName;
                        userSign=="undefined"?"没有个性也是一种个性哟":userSign;
                         if(!userImg){
                           userImg='../image/userCenter/head.png';
                         }
                         $api.setStorage('isLogin', true);
                         console.log(userImg);
                         $api.setStorage('userImg', userImg);
                         $api.setStorage('userName', userName);
                         $api.setStorage('userSign', userSign);
                         $api.setStorage('userCode', userCode);
                         $api.setStorage('realName', realName);
                         $api.setStorage('idNumber', idNumber);
                         $api.setStorage('userPhone', userPhone);
                         api.toast({
                             msg: '登录成功',
                             duration: 1000,
                             location: 'bottom'
                         });

                         setTimeout(function(){
                          _close();
                         },1000);
                    }else{
                      if(ret.msg=="openID未注册"){
                          api.actionSheet({
                              title: '新用户提示',
                              cancelTitle: '取消',
                              buttons: ['已有账号','未有账号']
                          }, function(ret, err){
                              if( ret ){
                                   console.log( JSON.stringify( ret ) );
                                   if(ret.buttonIndex==1){
                                     api.openWin({
                                         name: 'login_wx',
                                         url: './login_wx.html',
                                         pageParam: {
                                             openId:openId
                                         }
                                     });
                                   }else if(ret.buttonIndex==2){
                                     api.openWin({
                                         name: 'register_wx',
                                         url: './register_wx.html',
                                         pageParam: {
                                             openId:openId
                                         }
                                     });
                                   }
                              }else{
                                   //alert( JSON.stringify( err ) );
                              }
                          });




                      }else{
                        api.alert({
                            title: '提示',
                            msg: ret.msg,
                        });

                      }
                    }

                } else {
                    console.log( JSON.stringify( err ) );
                    _errToast();
                }
            });
       }
