/*
 * 2017-06-25
 * 于晶
 * 极光推送
 * 本模块，所有函数首位为_，方便识别
 * function _ajpush_init 初始化
 * */

//初始化
function _ajpush_init(user_id) {
    var jpush = null;
    jpush = api.require('ajpush');

    if (_isIOS()) {
        jpush.setListener(function(ret) {

            var id = ret.value;
            var title = ret.title;
            var content = ret.content;
            var extra = ret.extra;
        });
        api.addEventListener({
            name: 'noticeclicked'
        }, function(ret, err) {
            if (ret && ret.value) {
                var ajpush = ret.value;
                var content = ajpush.content;
                var extra = ajpush.extra;
                api.alert({
                    title: '新消息',
                    msg: content,
                });
            }

        });

    } else {
        jpush.init();
        jpush.setListener(
            function(ret) {
                var id = ret.id;
                var title = ret.title;
                var content = ret.content;
                var extra = ret.extra;
                var type=extra.type;
                switch (type) {
                  case "pay":
                       api.confirm({
                           title: '提示',
                           msg: '您有一笔订单未支付，是否立即去支付',
                           buttons: ['确定', '取消']
                       }, function(ret, err){
                           if( ret ){
                              //  alert( JSON.stringify( ret ) );
                            //  alert(extra.value);
                              if(ret.buttonIndex==1){
                                api.openWin({
                                    name: 'firm_order',
                                    url: './html/firm_order.html',
                                    reload:true,
                                    pageParam: {
                                      orderId: extra.orderSn
                                    }
                                });
                              }
                           }else{
                                //alert( JSON.stringify( err ) );
                           }
                       });

                    break;
                  default:
                   api.alert({
                      title: '新消息',
                      msg: content,
                  });break;
                }

            }
        );
        api.addEventListener({
    name: 'appintent'
}, function(ret, err) {
    if (ret && ret.appParam.ajpush) {
        var ajpush = ret.appParam.ajpush;
        var id = ajpush.id;
        var title = ajpush.title;
        var content = ajpush.content;
        var extra = ajpush.extra;
        alert(JSON.stringify(ret));
        var type=extra.type;
        switch (type) {
          case "pay":
               api.confirm({
                   title: '提示',
                   msg: '您有一笔订单未支付，是否立即去支付',
                   buttons: ['确定', '取消']
               }, function(ret, err){
                   if( ret ){
                      //  alert( JSON.stringify( ret ) );
                    //  alert(extra.value);
                      if(ret.buttonIndex==1){
                        api.openWin({
                            name: 'firm_order',
                            url: './html/firm_order.html',
                            reload:true,
                            pageParam: {
                              orderId: extra.orderSn
                            }
                        });
                      }
                   }else{
                        //alert( JSON.stringify( err ) );
                   }
               });

            break;
          default:
           api.alert({
              title: '新消息',
              msg: content,
          });break;
        }


        // api.alert({
        //     title: '新消息',
        //     msg: JSON.stringify(ret),
        // });
    }
})

        // setTimeout(function(){
        //   jpush.removeListener();
        // },500);

    }

    //绑定用户别名和标签
    var param = {
        alias: user_id,
        tags: ["AllUser_3"]
    };

    jpush.bindAliasAndTags(param, function(ret) {
        var statusCode = ret.statusCode;
    });
}

function isContains(str, substr) {
    return str.indexOf(substr) >= 0;
}
